# free-fire-serverjs

Utilize esse módulo para interagir com o jogo Garena Free Fire [Clique aqui para baixar.](https://play.google.com/store/apps/details?id=com.dts.freefireth&hl=pt)

# 📂 Como Instalar
```
npm i free-fire-serverjs
```

## 💻 Como utilizar

# ✅ Checando se existe uma mini atualização nos servidores.

```js
const { miniAtualization } = require('free-fire-serverjs');
await miniAtualization().then((response) => {
    if (response.news) {
        // Mini atualização encontrada!
        console.log('Uma nova mini atualização foi encontrada nos servidores! ' + response.next_version);
    } else {
        // Nenhuma mini atualização encontrada.
        console.log('Nenhuma mini atualização foi encontrada nos servidores.')
    }
})
```

# 📋 Formatando a FileInfo do Free Fire.

```js
const { fileInfo } = require('free-fire-serverjs');
// Coloque a versão que você deseja checkar dentro do ('')
await fileInfo('1.92.13').then((response) => {
    console.log('📂 Download Names: ' + response.downloadNames)
    console.log('✅ Game Names: ' + response.gameNames)
}).catch(() => {
    console.log('Versão inválida.')
})
```

# ⏰ Veja a data de criação da conta pelo ID.

```js
const { accountCreationDate } = require('free-fire-serverjs');
// Coloque o ID da conta dentro do ('')
await accountCreationDate('123456789').then((response) => {
    console.log('⏰ Data: ' + response.date)
    console.log('🌍 Time: ' + response.time)
    console.log('🌟 Número de Criação da Conta: ' + response.accountNumber)
}).catch(() => {
    console.log('ID Inválido.')
})
```

# 🚀 Veja a versão atual do Free Fire.

```js
const { version } = require('free-fire-serverjs');
await version().then((response) => {
    console.log('Versão atual: ' + response.version)
})
```

# 🌍 Veja a versão atual do Free Fire Max.

```js
const { maxVersion } = require('free-fire-serverjs');
await maxVersion().then((response) => {
    console.log('Versão atual do Free Fire Max: ' + response.version)
})
```

#### Todas funções retorna um objeto com as informações.